Subject: Re: [PATCH][6/12][RFC/v1] Add IPoIB (IP-over-InfiniBand) driver

From: Christoph Hellwig <[email-masked]>
Date: Mon, 22 Nov 2004 15:34:56 +0000

> We can switch to dma_* (and in fact I see some reasons to do so).
> However Greg KH suggested sticking with pci_* stuff until there's a
> non-PCI device to deal with.

That just means avoidable interface changes sooner or later.  The dma_
interfaces also have the added benefit of allowing better control of the
type of consistant allocation interface.

Note that pathscale already has direct to HT infiniband components, but
it's not sure whether they'll ever be supported by the OpenIB codebase.